Bug 24547 - Add more action logs for holds
Summary: Add more action logs for holds
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 14642
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-30 15:24 UTC by Kyle M Hall
Modified: 2020-05-16 14:45 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Trapping and filling holds will now create entries in the logs, when HoldsLog system preference is activated.
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 24547: Add more action logs for holds (1.28 KB, patch)
2020-01-30 15:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24547: Add more action logs for holds (1.31 KB, patch)
2020-01-31 08:01 UTC, David Nind
Details | Diff | Splinter Review
Bug 24547: Add more action logs for holds (1.38 KB, patch)
2020-04-08 12:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16547: Remove more multi_holds inconsistencies (4.79 KB, patch)
2020-04-08 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-01-30 15:24:21 UTC
It seems like ModReserveFill and ModReserveAffect should both produce action logs for holds.
Comment 1 Kyle M Hall 2020-01-30 15:30:31 UTC
Created attachment 98174 [details] [review]
Bug 24547: Add more action logs for holds

It seems like ModReserveFill and ModReserveAffect should both produce action logs for holds.

Test Plan:
1) Apply this patch
2) Place a hold
3) Check in the item to trap the hold
4) Check out the item to fill the hold
5) Check the action logs for that reserve id
6) Note the new logs!
Comment 2 David Nind 2020-01-31 08:01:43 UTC
Created attachment 98215 [details] [review]
Bug 24547: Add more action logs for holds

It seems like ModReserveFill and ModReserveAffect should both produce action logs for holds.

Test Plan:
0) Enable HoldsLog system preference
1) Apply this patch
2) Place a hold
3) Check in the item to trap the hold
4) Check out the item to fill the hold
5) Check the action logs for that reserve id
6) Note the new logs!

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2020-04-08 12:36:56 UTC
Created attachment 102565 [details] [review]
Bug 24547: Add more action logs for holds

It seems like ModReserveFill and ModReserveAffect should both produce action logs for holds.

Test Plan:
1) Apply this patch
2) Place a hold
3) Check in the item to trap the hold
4) Check out the item to fill the hold
5) Check the action logs for that reserve id
6) Note the new logs!

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-04-08 13:48:12 UTC Comment hidden (obsolete)
Comment 5 Martin Renvoize 2020-04-14 16:23:41 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-05 22:07:30 UTC
backported to 19.11.x for 19.11.06
Comment 7 Lucas Gass 2020-05-13 22:21:16 UTC
Simple and useful enhancement, backporting to 19.05.x for 19.05.11